Bug 765774 - volume type change from distribute to distribute-[stripe][-][replicate] is incomplete.
volume type change from distribute to distribute-[stripe][-][replicate] is in...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-12-09 06:46 EST by shylesh
Modified: 2015-11-03 18:04 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:20:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa18
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2011-12-09 06:46:01 EST
Description of problem:
after changing the volume type from distribute to replicate in add-brick its not reflected in volume info.

Version-Release number of selected component (if applicable):
3.3.0qa15

How reproducible:
create a volume, add-brick with volume type replica 2

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
none as of now..
Comment 1 Anand Avati 2011-12-20 00:42:35 EST
CHANGE: http://review.gluster.com/804 (glusterd: Fixed spurious checks in add_brick.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 shylesh 2011-12-26 02:12:46 EST
Now after converting the volume type new configuration is reflected in volume info

Note You need to log in before you can comment on or make changes to this bug.